Skip to content
Start here

Upload a Finetune Asset

client.ai.finetunes.assets.create(stringfinetuneId, AssetCreateParams { account_id, file, file_name } params, RequestOptionsoptions?): AssetCreateResponse { success }
POST/accounts/{account_id}/ai/finetunes/{finetune_id}/finetune-assets

Uploads training data assets for a Workers AI fine-tuning job.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers AI Write
ParametersExpand Collapse
finetuneId: string
params: AssetCreateParams { account_id, file, file_name }
account_id: string

Path param

Body param: File to upload

file_name: string

Body param: Name of the file (adapter_config.json or adapter_model.safetensors)

ReturnsExpand Collapse
AssetCreateResponse { success }
success: boolean

Upload a Finetune Asset

import fs from 'fs';
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const asset = await client.ai.finetunes.assets.create('bc451aef-f723-4b26-a6b2-901afd2e7a8a', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
  file: fs.createReadStream('path/to/file'),
  file_name: 'file_name',
});

console.log(asset.success);
{
  "success": true
}
Returns Examples
{
  "success": true
}